#ifndef __BDILNK_H__
#define __BDILNK_H__
/*************************************************************************
|  COPYRIGHT (c) 1997 BY ABATRON AG
|*************************************************************************
|
|  PROJECT NAME: BDI Communication Driver
|  FILENAME    : bdilnk.h
|
|  COMPILER    : Visual C++ V5.0 / V1.5
|
|  TARGET OS   : WIN32 / WIN16
|  TARGET HW   : PC
|
|  PROGRAMMER  : Abatron / RD
|  CREATION    : 22.07.97
|
|*************************************************************************
|
|  DESCRIPTION :
|  DLL for communication with BDI
|
|*************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/*************************************************************************
|  DEFINES
|*************************************************************************/

/* Pending BDI event masks */
#define BDI_STATE_CHANGED       (1<<0)  /* target state has changed       */
#define BDI_TERMINAL_CHAR       (1<<1)  /* terminal char(s) ready to read */

/* down load constants */
#define BDI_NO_VERIFY       0
#define BDI_FIRST_VERIFY    1
#define BDI_FULL_VERIFY     2
#define BDI_ONLY_VERIFY     3


/*************************************************************************
|  TYPEDEFS
|*************************************************************************/

#ifndef FALSE
#define FALSE           0
#endif
#ifndef TRUE
#define TRUE            1
#endif

#ifndef CHAR
#define CHAR    unsigned char
#endif
#ifndef BYTE
#define BYTE    unsigned char
#endif
#ifndef WORD
#define WORD    unsigned short
#endif
#ifndef DWORD
#define DWORD   unsigned long
#endif
#ifndef BOOL
#define BOOL    int
#endif


/*************************************************************************
|  FUNCTIONS
|*************************************************************************/

DWORD BDI_IPAddrBE(const char* ipAddress);
int   BDI_Open(const char *host, DWORD param);
void  BDI_SetNetFrameType(void);
int   BDI_Close(void);

int   BDI_Transaction(      int    commandLength,
                      const void  *commandData,
                            int    answerSize,
                            void  *answerData,
                            DWORD  commandTime);

BYTE  BDI_GetPendingEvents(void);

int   BDI_InitDownload(BYTE verifyMode, BOOL compress);
int   BDI_Download(DWORD address, WORD count, BYTE *data);
int   BDI_EndDownload(DWORD *errorAddr);

#ifdef __cplusplus
}
#endif

#endif

